OCF_HEARTBEAT_AZURE(7)

NAME
ocf_heartbeat_azure-lb - Answers Azure Load Balancer health probe requests

SYNOPSIS

azure-lb [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

Resource agent to answer Azure Load Balancer health probe requests

SUPPORTED PARAMETERS

nc
    The full path of the used binary. This can be nc or socat path. The default is /usr/bin/nc and /usr/bin/socat for SUSE distributions.

    (optional, string, default "/usr/bin/nc")

port
    Port to listen to.

    (optional, string, default "61000")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a azure-lb resource using the crm(8) shell:

    primitive p_azure-lb ocf:heartbeat:azure-lb \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a azure-lb resource using pcs(8)

    pcs resource create p_azure-lb ocf:heartbeat:azure-lb \
      op monitor depth="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)